<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_checkout_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white"
    tools:context=".main.ui.activity.CheckoutActivity">

    <!--    标题栏-->
    <include
        android:id="@+id/header_title_view"
        layout="@layout/common_title_view" />

    <LinearLayout
        android:id="@+id/checkout_normal_display_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/header_title_view"
        android:orientation="vertical"
        android:layout_marginBottom="@dimen/dp68">

        <!--        通告栏-->
        <RelativeLayout
            android:id="@+id/notice_bulletin_board_layout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp32"
            android:background="@color/vivo_pay_checkout_notices_background_color">

            <ImageView
                android:layout_width="@dimen/dp24"
                android:layout_height="@dimen/dp24"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/dp20"
                android:background="@drawable/notices_icon"
                android:scaleType="center" />

            <TextView
                android:id="@+id/tv_notice_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="@dimen/dp45"
                android:layout_marginEnd="@dimen/dp20"
                android:ellipsize="marquee"
                android:focusable="true"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:textColor="@color/vivo_pay_checkout_notice_content_text_color"
                android:textSize="@dimen/sp13" />

        </RelativeLayout>

        <TextView
            android:id="@+id/tv_name_of_commodity"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:gravity="center"
            android:layout_marginTop="@dimen/dp30"
            android:paddingStart="@dimen/dp20"
            android:paddingEnd="@dimen/dp20"
            android:textColor="@color/vivo_pay_checkout_commodity_text_color"
            android:textSize="@dimen/sp16" />

        <!--        订单金额详情-->
        <LinearLayout
            android:id="@+id/commodity_amount_column_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:baselineAligned="true"
            android:gravity="center_horizontal"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_monetary_unit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@android:color/black"
                android:textSize="@dimen/sp15" />

            <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
                android:id="@+id/tv_commodity_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp3"
                android:textColor="@android:color/black"
                android:textSize="@dimen/sp33" />

            <TextView
                android:id="@+id/tv_tax_mark"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/vivo_pay_tax_mark"
                android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
                android:textSize="@dimen/sp12"
                android:visibility="gone" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_commodity_dollar_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
            android:textSize="@dimen/sp14" />

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp30" />

        <!--        支付方式展示栏-->
        <com.vivo.unionpay.embedded.pay.core.customview.springkit.NestedScrollLayout
            android:id="@+id/presentation_of_payment_method_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.vivo.unionpay.embedded.pay.core.customview.MaxHeightRecyclerView
                android:id="@+id/payment_method_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:overScrollMode="never"
                android:background="@drawable/common_item_touch_select" />

        </com.vivo.unionpay.embedded.pay.core.customview.springkit.NestedScrollLayout>

    </LinearLayout>

    <View
        android:id="@+id/bottom_line_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp1"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="@dimen/dp75"
        android:background="@color/vivo_pay_title_line_color" />

    <TextView
        android:id="@+id/btn_submission_of_payments"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp36"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="@dimen/dp20"
        android:layout_marginEnd="@dimen/dp20"
        android:layout_marginBottom="@dimen/dp20"
        android:background="@drawable/vivo_common_blue_bg"
        android:gravity="center"
        android:textColor="@android:color/white"
        android:textSize="@dimen/sp14" />

    <!--    该国暂不支持支付-->
    <RelativeLayout
        android:id="@+id/payment_not_support"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/header_title_view"
        android:visibility="gone">

        <ImageView
            android:id="@+id/img_not_support_payment"
            android:layout_width="@dimen/dp60"
            android:layout_height="@dimen/dp60"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp40"
            android:background="@drawable/result_query_icon"
            android:scaleType="center" />

        <TextView
            android:id="@+id/tv_not_support_payment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/img_not_support_payment"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp12"
            android:text="@string/vivo_pay_this_country_unsupport_payment"
            android:textColor="@color/vivo_pay_checkout_not_support_payment_text_color"
            android:textSize="@dimen/sp15" />

    </RelativeLayout>

    <com.vivo.unionpay.embedded.pay.core.customview.LoadingView
        android:id="@+id/loading_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/header_title_view"
        android:background="@android:color/white" />

</RelativeLayout>